%define pypi_name hypothesis

Name:           python-%{pypi_name}
Version:        6.36.1
Release:        %mkrel 1
Summary:        A library for property based testing
Group:          Development/Python
License:        MPLv2.0
URL:            https://pypi.org/project/hypothesis/
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-attrs
BuildRequires:  python3-sortedcontainers

%description
Hypothesis is a library for testing your Python code against a much
larger range of examples than you would ever want to write by
hand. It’s based on the Haskell library, Quickcheck, and is designed
to integrate seamlessly into your existing Python unit testing work
flow.

%package     -n python3-%{pypi_name}
Group:          Development/Python
Summary:        A library for property based testing
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Hypothesis is a library for testing your Python code against a much
larger range of examples than you would ever want to write by
hand. It’s based on the Haskell library, Quickcheck, and is designed
to integrate seamlessly into your existing Python unit testing work
flow.

%prep
%setup -qn %{pypi_name}-%{version}
%apply_patches

# drop bundled egg-info
rm -rf src/*.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*
%{_bindir}/hypothesis


%changelog
* Wed Aug 10 2022 tex - 6.36.1-1pclos2022
- new version
